<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_54faabe6" . "94dfa8d05" . "dc6c0827a" . "214f82" => base64_decode("aW1" . "hZ2" . "U="));
class AiImagePlugin implements AiPluginInterface
{
    public function getModule() : string
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_54faabe694dfa8d05dc6c0827a2" . "14f82"];
    }
    public function getType() : string
    {
        return AiPluginInterface::TYPE_IMAGE_GENERATION;
    }
    public function getConfiguration() : ?AiConfigurationInterface
    {
        return null;
    }
    public function transformResponse($_fd5a3a643834299cbdadfc3540ba0bcb)
    {
        return $_fd5a3a643834299cbdadfc3540ba0bcb;
    }
    public function getSystemPromptParts(?string $_a05cd0d81b0d993868f75f877961db96 = null, ?array $_b255ebafd5b8bb45110cd2db0604fa44 = null) : array
    {
        return [];
    }
}